Bug 292471 - wrong icon spacing on the LiveCD causes overlapped icons on desktop
wrong icon spacing on the LiveCD causes overlapped icons on desktop
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-16 10:59 EDT by John Mellor
Modified: 2015-03-03 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:15:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Desktop image from the LiveCD while running (785.44 KB, image/png)
2007-09-22 09:40 EDT, John Mellor
no flags Details
Desktop image from the product as installed from the LiveCD and updated to Sept. 16 2007 (783.93 KB, image/png)
2007-09-22 09:41 EDT, John Mellor
no flags Details

  None (edit)
Description John Mellor 2007-09-16 10:59:57 EDT
Description of problem:
LiveCD uses larger icon text on the display than the installed product, but does
not change the spacing of the icons to compensate.  So, for example, on my Dell
T800 testbed (Riva TNT graphics chipset), several icons (e.g. the CD itself)
that overlap the text under the next icom.  Smaller text is used on the
installed product, and the problem does not occur there.

Version-Release number of selected component (if applicable):

How reproducible:
Every time, only if running from the CD.

Steps to Reproduce:
1. Start LiveCD
2. Note problem
Actual results:
overlapped icons, only when running from the CD

Expected results:
Smaller text, larger icon spacing or text truncation (like win32 does) would all
be appropriate corrections.

Additional info:
Comment 1 Jeremy Katz 2007-09-17 16:26:09 EDT
Should be the same -- is your display coming up at the same resolution with both?
Comment 2 John Mellor 2007-09-17 22:38:18 EDT
Both the LiveCD and the installed product are using 1920x1440@75Hz, so that is
not the problem.
Comment 3 Jeremy Katz 2007-09-18 14:56:29 EDT
Can you get a screenshot of the problem?  I'm not seeing it on anything that I
have quick and easy access to here.
Comment 4 John Mellor 2007-09-22 09:40:03 EDT
Created attachment 203011 [details]
Desktop image from the LiveCD while running

Desktop image showing the icon spacing problems causing overlap
Comment 5 John Mellor 2007-09-22 09:41:46 EDT
Created attachment 203021 [details]
Desktop image from the product as installed from the LiveCD and updated to Sept. 16 2007

Note that the icon overlaps from the LiveCD image are not present.
Comment 6 Matthias Clasen 2007-09-22 11:26:00 EDT
So the problem goes away on the installed machin, simply because the icons with
long names (causing the name to wrap) are not present...
Comment 7 John Mellor 2007-09-22 13:53:25 EDT
No, if you put the two screenshots over top of each other, even though they are
the same resolution, the LiveCD icon spacing is approximately 40% less than the
installed icons.  This in turn causes the long names to become a problem.
Comment 8 Bug Zapper 2008-11-26 02:48:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2009-01-09 02:15:51 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.